org.hibernate.search.spatial

## Class SpatialFieldBridgeByRange

- java.lang.Object
- - org.hibernate.search.spatial.SpatialFieldBridge
  - - org.hibernate.search.spatial.SpatialFieldBridgeByRange

- All Implemented Interfaces:
    AppliedOnTypeAwareBridge, FieldBridge, MetadataProvidingFieldBridge

      public class SpatialFieldBridgeByRange
      extends SpatialFieldBridge

  Hibernate Search field bridge using Range Spatial, binding a Coordinates to two numeric fields for latitude and Longitude
  Author:
    Nicolas Helleringer

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.spatial.SpatialFieldBridge

      `latitudeField, latitudeIndexedFieldName, longitudeField, longitudeIndexedFieldName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialFieldBridgeByRange()`
    `SpatialFieldBridgeByRange(String latitudeField, String longitudeField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureFieldMetadata(String name, FieldMetadataBuilder builder)` Allows this bridge to expose meta-data about the fields it creates.
    `void` | `set(String name, Object value, Document document, LuceneOptions luceneOptions)` Actual overridden method that does the indexing

    - ### Methods inherited from class org.hibernate.search.spatial.SpatialFieldBridge

      `capitalize, getLatitude, getLongitude, setAppliedOnType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpatialFieldBridgeByRange

          public SpatialFieldBridgeByRange()

    - #### SpatialFieldBridgeByRange

          public SpatialFieldBridgeByRange(String latitudeField,
                                           String longitudeField)

  - ### Method Detail

    - #### configureFieldMetadata

          public void configureFieldMetadata(String name,
                                             FieldMetadataBuilder builder)

      Description copied from interface: `MetadataProvidingFieldBridge`
      Allows this bridge to expose meta-data about the fields it creates.
      Specified by:
        `configureFieldMetadata` in interface `MetadataProvidingFieldBridge`
      Overrides:
        `configureFieldMetadata` in class `SpatialFieldBridge`
      Parameters:
        `name` - The default field name; Should be used consistently with `FieldBridge.set(String, Object, org.apache.lucene.document.Document, LuceneOptions)`.
        `builder` - Builder for exposing field-related meta-data

    - #### set

          public void set(String name,
                          Object value,
                          Document document,
                          LuceneOptions luceneOptions)

      Actual overridden method that does the indexing
      Specified by:
        `set` in interface `FieldBridge`
      Specified by:
        `set` in class `SpatialFieldBridge`
      Parameters:
        `name` - of the field
        `value` - of the field
        `document` - document being indexed
        `luceneOptions` - current indexing options and accessors

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved